[ARVADOS-DEV] updated: ad3df9216ff20898eb96353e5d6c52b271a87375
git at public.curoverse.com
git at public.curoverse.com
Fri Oct 3 21:30:00 EDT 2014
Summary of changes:
jenkins/run-deploy.sh | 57 ++++++++++++++++++++++++++++++++++++++++++++++++++-
1 file changed, 56 insertions(+), 1 deletion(-)
via ad3df9216ff20898eb96353e5d6c52b271a87375 (commit)
from 77dffc7b9308abb3d331c165c3042ec6ff41992a (commit)
Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.
commit ad3df9216ff20898eb96353e5d6c52b271a87375
Author: Ward Vandewege <ward at curoverse.com>
Date: Fri Oct 3 21:29:43 2014 -0400
Make run-deploy.sh do a bit more work to update the rest of the staging
cluster.
No issue #
diff --git a/jenkins/run-deploy.sh b/jenkins/run-deploy.sh
index b379fff..a7ffac7 100755
--- a/jenkins/run-deploy.sh
+++ b/jenkins/run-deploy.sh
@@ -88,7 +88,7 @@ title "Deploying API server complete"
# Install updated debian packages
title "Deploying updated arvados debian packages"
-ssh -p2222 root@$IDENTIFIER.arvadosapi.com -C "apt-get update && apt-get install arvados-src python-arvados-fuse python-arvados-python-client"
+ssh -p2222 root@$IDENTIFIER.arvadosapi.com -C "apt-get update && apt-get -qqy install arvados-src python-arvados-fuse python-arvados-python-client"
if [[ "$ECODE" != "0" ]]; then
title "!!!!!! DEPLOYING DEBIAN PACKAGES FAILED !!!!!!"
@@ -136,4 +136,59 @@ fi
title "Deploying workbench complete"
+# Update compute0
+title "Update compute0"
+
+ssh -p2222 root at compute0.$IDENTIFIER -C "/usr/bin/puppet agent -t"
+
+ECODE=$?
+
+if [[ "$ECODE" == "2" ]]; then
+ # Puppet exits '2' if there are changes. For real!
+ ECODE=0
+fi
+
+if [[ "$ECODE" != "0" ]]; then
+ title "!!!!!! Update compute0 FAILED !!!!!!"
+ EXITCODE=$(($EXITCODE + $ECODE))
+fi
+
+title "Update compute0 complete"
+
+title "Update shell"
+
+ssh -p2222 root at shell.$IDENTIFIER -C "/usr/bin/puppet agent -t"
+
+ECODE=$?
+
+if [[ "$ECODE" == "2" ]]; then
+ # Puppet exits '2' if there are changes. For real!
+ ECODE=0
+fi
+
+if [[ "$ECODE" != "0" ]]; then
+ title "!!!!!! Update shell FAILED !!!!!!"
+ EXITCODE=$(($EXITCODE + $ECODE))
+fi
+
+title "Update shell complete"
+
+title "Update keep0"
+
+ssh -p2222 root at keep0.$IDENTIFIER -C "/usr/bin/puppet agent -t"
+
+ECODE=$?
+
+if [[ "$ECODE" == "2" ]]; then
+ # Puppet exits '2' if there are changes. For real!
+ ECODE=0
+fi
+
+if [[ "$ECODE" != "0" ]]; then
+ title "!!!!!! Update keep0 FAILED !!!!!!"
+ EXITCODE=$(($EXITCODE + $ECODE))
+fi
+
+title "Update keep0 complete"
+
exit $EXITCODE
-----------------------------------------------------------------------
hooks/post-receive
--
More information about the arvados-commits
mailing list